Subject: grep for windows Include GLOB pattern with double star doesn't seem to work
From: Alex Benoit <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 27 Sep 2022 23:19:42 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I was using grep for Windows version 3.5.

I was trying to pattern match files.

At first, I thought I could put a regex as the file pattern in the command, but that didn't seem to work.

Then I looked at the --include option.

I tried

grep -l --include="**/*.xml" foo .
grep -l --include="**\*.xml" foo .
grep -l --include="**\\*.xml" foo .

Adding the recursive -r didn't help either.

However, this worked:
grep -rl --include="*.xml" foo .

Is the double star supported on Windows? What is the proper way to do it?

All the best,

Alex